//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace nispi.LogIn
{
    class LoginUtil
    {

        public static void GetDataTask()
        {
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseRonin.Enabled = true));
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseRonin.Enabled = false));
            if (Const.opt.logInOption.isMaruAutoLogIn == true)
            {
                Ronin ronin = new Ronin();
                if (ronin.LogIn() == true)
                {
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseRonin.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseRonin.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.roninToolStripStatusLabel.Text = "Ronin：ログイン　　　"));
                }
                else
                {
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseRonin.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseRonin.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.roninToolStripStatusLabel.Text = "Ronin：ログオフ　　　"));
                }
            }

            //.net beログイン
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseBe.Enabled = true));
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseBe.Enabled = false));
            if (Const.opt.logInOption.IsBeAutoLogIn.Equals("True") == true)
            {
                Be be = new Be();
                if (be.GetBeCookie() == true)
                {
                    //ログイン成功ならメニューを書き換える
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseBe.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseBe.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.be2chToolStripStatusLabel.Text = "2chBe：ログイン　　　"));
                }
                else
                {
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseBe.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseBe.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.be2chToolStripStatusLabel.Text = "2chBe：ログオフ　　　"));
                }
            }

            //.sc beログイン
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseSCBe.Enabled = true));
            Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseSCBe.Enabled = false));
            if (Const.opt.logInOption.IsSCBeAutoLogIn.Equals("True") == true)
            {
                Be be = new Be();
                if (be.GetSCBeCookie() == true)
                {
                    //ログイン成功ならメニューを書き換える
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseSCBe.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseSCBe.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.beSCToolStripStatusLabel.Text = "2chBe(SC)：ログイン　　　"));
                }
                else
                {
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemUseSCBe.Enabled = true));
                    Const.form.mainForm.Invoke((Action)(() => MainFormConst.menuSetup.fileMenu.mainMenuItemNotUseSCBe.Enabled = false));
                    Const.form.mainForm.Invoke((Action)(() => Const.form.beSCToolStripStatusLabel.Text = "2chBe(SC)：ログオフ　　　"));
                }
            }
        }
    }
}
